Page MenuHomePhabricator

Add support for tag links
ClosedPublic

Authored by Paladox on Jun 3 2016, 2:03 PM.

Details

Maniphest Tasks
T129129: Diffusion blob viewer may not work as expected
Reviewers
mmodell
demon
Luke081515
greg
Commits
rPHEXce8031a5a0e5: Add support for tag links
Patch without arc
git checkout -b D250 && curl -L https://phabricator.wikimedia.org/D250?download=true | git apply
Summary

Diff Detail

Repository
rPHEX phabricator-extensions
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

Paladox updated this revision to Diff 684.Jun 3 2016, 2:03 PM
Paladox retitled this revision from to Add support for tag links.
Paladox updated this object.
Paladox edited the test plan for this revision. (Show Details)

@mmodell I'm not sure if this will work. Could you have a look and improve it if you think it wont work like this please.

mmodell added inline comments.Jun 4 2016, 3:58 AM
src/gerrit/GerritProjectController.php
60

why do we need both 'tag' and 'tags' ?

mmodell updated this revision to Diff 693.Jun 4 2016, 4:14 AM
mmodell edited edge metadata.

I think this will work...

Paladox added a comment.EditedJun 4 2016, 9:53 AM
This comment has been deleted.
src/gerrit/GerritProjectController.php
60

Oh since one shows you all the tags and the other tags you to the actual tag you want.

We may want to update the commit msg but we can merge this please :) thanks for working on this.

mmodell updated this revision to Diff 701.Jun 7 2016, 9:17 PM

updated commit message.

mmodell accepted this revision.Jun 7 2016, 9:17 PM
mmodell edited edge metadata.
This revision is now accepted and ready to land.Jun 7 2016, 9:17 PM
This revision was automatically updated to reflect the committed changes.